Debian Bug report logs - #388809
htmldoc-common fails to upgrade smoothly

version graph

Package: htmldoc-common; Maintainer for htmldoc-common is Jeff Licquia <licquia@debian.org>; Source for htmldoc-common is src:htmldoc.

Reported by: Jeff Licquia <licquia@debian.org>

Date: Fri, 22 Sep 2006 16:48:02 UTC

Severity: serious

Tags: patch

Found in version htmldoc/1.8.27-1

Fixed in version htmldoc/1.8.27-2

Done: Jeff Licquia <licquia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#388809; Package htmldoc-common. Full text and rfc822 format available.

Acknowledgement sent to Jeff Licquia <licquia@debian.org>:
New Bug report received and forwarded. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Licquia <licquia@debian.org>
To: submit@bugs.debian.org
Subject: htmldoc-common fails to upgrade smoothly
Date: Fri, 22 Sep 2006 12:27:30 -0400
Package: htmldoc-common
Version: 1.8.27-1
Severity: serious

Preparing to replace htmldoc-common 1.8.26-1 (using .../htmldoc-common_1.8.27-1_all.deb) ...
Unpacking replacement htmldoc-common ...
dpkg: error processing /var/cache/apt/archives/htmldoc-common_1.8.27-1_all.deb (--unpack):
 trying to overwrite `/usr/share/man/man1/htmldoc.1.gz', which is also in package htmldoc




Information forwarded to debian-bugs-dist@lists.debian.org, Jeff Licquia <licquia@debian.org>:
Bug#388809; Package htmldoc-common. Full text and rfc822 format available.

Acknowledgement sent to alejandro.rios@avatar.com.co:
Extra info received and forwarded to list. Copy sent to Jeff Licquia <licquia@debian.org>. Full text and rfc822 format available.

Message #10 received at 388809@bugs.debian.org (full text, mbox):

From: Alejandro Ríos "P." <alejandro.rios@avatar.com.co>
To: 388809@bugs.debian.org
Subject: patch
Date: Sun, 24 Sep 2006 22:54:54 -0500
[Message part 1 (text/plain, inline)]
Again, this is solved by updating the replaces/conflicts part of the
control file:

...

Package: htmldoc-common
Architecture: all
Replaces: htmldoc (<< 1.8.27)
Conflicts: htmldoc (<< 1.8.27)

...

-- 
Alejandro Ríos Peña

[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Alejandro Ríos "P." <alejandro.rios@avatar.com.co> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jeff Licquia <licquia@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeff Licquia <licquia@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 388809-close@bugs.debian.org (full text, mbox):

From: Jeff Licquia <licquia@debian.org>
To: 388809-close@bugs.debian.org
Subject: Bug#388809: fixed in htmldoc 1.8.27-2
Date: Mon, 25 Sep 2006 07:47:07 -0700
Source: htmldoc
Source-Version: 1.8.27-2

We believe that the bug you reported is fixed in the latest version of
htmldoc, which is due to be installed in the Debian FTP archive:

htmldoc-common_1.8.27-2_all.deb
  to pool/main/h/htmldoc/htmldoc-common_1.8.27-2_all.deb
htmldoc_1.8.27-2.diff.gz
  to pool/main/h/htmldoc/htmldoc_1.8.27-2.diff.gz
htmldoc_1.8.27-2.dsc
  to pool/main/h/htmldoc/htmldoc_1.8.27-2.dsc
htmldoc_1.8.27-2_i386.deb
  to pool/main/h/htmldoc/htmldoc_1.8.27-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388809@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeff Licquia <licquia@debian.org> (supplier of updated htmldoc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 25 Sep 2006 08:07:07 -0400
Source: htmldoc
Binary: htmldoc htmldoc-common
Architecture: source i386 all
Version: 1.8.27-2
Distribution: unstable
Urgency: low
Maintainer: Jeff Licquia <licquia@debian.org>
Changed-By: Jeff Licquia <licquia@debian.org>
Description: 
 htmldoc    - HTML processor that generates indexed HTML, PS, and PDF
 htmldoc-common - Common arch-independent files for htmldoc
Closes: 388809
Changes: 
 htmldoc (1.8.27-2) unstable; urgency=low
 .
   * Make sure we can upgrade from earlier versions of htmldoc, with
     the man page move.  Closes: #388809.
Files: 
 db7a02fc73824b6980d27a5892b8f138 642 web optional htmldoc_1.8.27-2.dsc
 0a5428b1c719348c2d53dcd3cc9620f2 5239 web optional htmldoc_1.8.27-2.diff.gz
 9ada1485208c65ab0d2bb811085cf0a6 4633802 web optional htmldoc-common_1.8.27-2_all.deb
 c98b1f98941bf60ca604884ff1a495cd 201772 web optional htmldoc_1.8.27-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFF+gLYApVP/ZmyR0RAvSsAJ9XiXLWoO9FmyBtnCvpp4CEf85ocACdHyWr
w3/KMg6bK363NDrkhom7hSQ=
=+fjl
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:33:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:38:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.